///////////////////////////////////////////////////////////////////////////////
/// \file tbarcodelib.h
/// Header File for TBarCode/X (UNIX).
/// Include this header file in your modules to access the TBarCode API for UNIX/Linux.
/// \code
/// #include <libtbarcode2/tbarcodelib.h>
/// \endcode
/// \n\n
/// \author TEC-IT Datenverarbeitung GmbH
/// \author Wagnerstr. 6, A-4400 Steyr, AUSTRIA/EUROPE
/// \author http://www.tec-it.com
/// \author Copyright&copy; by TEC-IT Datenverarbeitung GmbH
/// \date    1996-2005
/// \version 2.0
/// \note This product is supported. Please send an email to support@tec-it.com
///////////////////////////////////////////////////////////////////////////////

#ifndef HEADERFILE_TBARCODELIB_H
#define HEADERFILE_TBARCODELIB_H


#if defined(WIN32) || defined(_WIN32)
  /// Platform is Windows.
  /// \internal
  #define TEC_WIN 1

  /// Platform is Windows.
  /// \internal
  #define _TEC_WIN 1
#else
  /// Platform is UNIX.
  /// \internal
  #define _TEC_UNIX 1

  /// Platform is UNIX.
  /// \internal
  #define TEC_UNIX 1
#endif

/// TBarCode/X API is used.
/// \internal
#define LIBTBARCODE 1

/// Version symbol.
#define LIBTBARCODE_V2_0_2

/// Current version of TBarCode/X as text.
#define LIBTBARCODE_VERSION  "2.0.2"

#include "tbcdef.h"

/// Disables helps strings.
/// \internal
#define TECIT_NO_HELPSTRINGS
#include "tecbcenum.h"
#undef  TECIT_NO_HELPSTRINGS

#ifdef WIN32
  #undef TECIT_DLLSPEC
  /// Exports/imports DLL interface.
  /// \internal
  #define TECIT_DLLSPEC __declspec(dllimport)
#else
  #undef TECIT_DLLSPEC
  /// Exports/imports DLL interface.
  /// \internal
  #define TECIT_DLLSPEC
#endif
#include "tecbcfunct.h"

#endif /* HEADERFILE_TBARCODELIB_H */
